Bug 892315 - Review Request: rubygem-webrobots - Ruby library to help write robots.txt compliant web robots
Summary: Review Request: rubygem-webrobots - Ruby library to help write robots.txt com...
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Darryl L. Pierce
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-06 16:31 UTC by Mamoru TASAKA
Modified: 2015-06-22 00:08 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2013-03-08 06:43:53 UTC
Type: ---
dpierce: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Mamoru TASAKA 2013-01-06 16:31:45 UTC
Spec URL: http://mtasaka.fedorapeople.org/Review_request/mechanize-related/rubygem-webrobots.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/mechanize-related/rubygem-webrobots-0.0.13-1.fc.src.rpm
Description: 
This library helps write robots.txt compliant web robots in Ruby.
Fedora Account System Username: mtasaka

Koji screatch build:
F-19: http://koji.fedoraproject.org/koji/taskinfo?taskID=4843737
F-18: http://koji.fedoraproject.org/koji/taskinfo?taskID=4843736

Comment 1 Darryl L. Pierce 2013-02-27 16:34:21 UTC
Package Review
==============

Key:
[X] = Pass
[!] = Fail
[-] = Not applicable
[?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[X]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[X]: Package contains no bundled libraries without FPC exception.
[X]: Changelog in prescribed format.
[X]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[X]: Package requires other packages for directories it uses.
[X]: Package uses nothing in %doc for runtime.
[X]: Package is not known to require ExcludeArch.
[!]: Fully versioned dependency in subpackages, if present.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in rubygem-
     webrobots-doc
     
The Require in -doc does not include %{?_isa}.
     
[X]: Package complies to the Packaging Guidelines
[X]: License file installed when any subpackage combination is installed.
[X]: Package consistently uses macro is (instead of hard-coded directory
     names).
[X]: Package is named according to the Package Naming Guidelines.
[X]: Package does not generate any conflict.
[X]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[X]: Package must own all directories that it creates.
[X]: Package does not own files or directories owned by other packages.
[X]: Requires correct, justified where necessary.
[X]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[X]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[X]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[X]: Each %files section contains %defattr if rpm < 4.4
[X]: Macros in Summary, %description expandable at SRPM build time.
[X]: Package does not contain duplicates in %files.
[X]: Permissions on files are set properly.
[X]: Spec file lacks Packager, Vendor, PreReq tags.
[X]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[X]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[X]: Package is named using only allowed ASCII characters.
[X]: Package do not use a name that already exist
[X]: Package is not relocatable.
[X]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[X]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[X]: File names are valid UTF-8.
[X]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 0 bytes in 0 files.
[X]: Packages must not store files under /srv, /opt or /usr/local
[X]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[X]: Package installs properly.
[X]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).

Ruby:
[-]: Platform dependent files must all go under %{gem_extdir}, platform
     independent under %{gem_dir}.
[X]: Gem package must not define a non-gem subpackage
[X]: Gem package is named rubygem-%{gem_name}
[X]: Package contains BuildRequires: rubygems-devel.
[X]: Gem package must define %{gem_name} macro.
[X]: Pure Ruby package must be built as noarch
[X]: Package contains Requires: ruby(abi).

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[X]: Final provides and requires are sane (see attachments).
[-]: Package functions as described.
[!]: Latest version is packaged.

The latest version is 0.1.0, the proposed package is 0.0.13.

[X]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[-]: Package should compile and build into binary rpms on all supported
     architectures.
[X]: %check is present and all tests pass.
[-]: Packages should try to preserve timestamps of original installed files.
[X]: Sources can be downloaded from URI in Source: tag
[X]: Reviewer should test that the package builds in mock.
[X]: Buildroot is not present
[X]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[X]: Dist tag is present.
[X]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[X]: SourceX tarball generation or download is documented.
[X]: SourceX is a working URL.
[X]: Spec use %global instead of %define.

Ruby:
[X]: Specfile should use macros from rubygem-devel package.
     Note: The specfile doesn't use these macros: %{gem_spec}, %doc
     %{gem_docdir}, %{gem_libdir}, %exclude %{gem_cache}
[X]: Test suite of the library should be run.
[X]: Gem package should exclude cached Gem.

===== EXTRA items =====

Generic:
[X]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[X]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[X]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: rubygem-webrobots-0.0.13-1.fc18.noarch.rpm
          rubygem-webrobots-doc-0.0.13-1.fc18.noarch.rpm
rubygem-webrobots.noarch: W: spelling-error Summary(en_US) txt -> text, ext, tit
rubygem-webrobots.noarch: W: spelling-error %description -l en_US txt -> text, ext, tit
2 packages and 0 specfiles checked; 0 errors, 2 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint rubygem-webrobots rubygem-webrobots-doc
rubygem-webrobots.noarch: W: spelling-error Summary(en_US) txt -> text, ext, tit
rubygem-webrobots.noarch: W: spelling-error %description -l en_US txt -> text, ext, tit
2 packages and 0 specfiles checked; 0 errors, 2 warnings.
# echo 'rpmlint-done:'



Requires
--------
rubygem-webrobots (rpmlib, GLIBC filtered):
    ruby
    ruby(abi)
    ruby(rubygems)
    rubygem(nokogiri)

rubygem-webrobots-doc (rpmlib, GLIBC filtered):
    rubygem-webrobots
Two things to fix in the specfile. Please fix those issues before pushing the first build.

PACKAGE APPROVED.


Provides
--------
rubygem-webrobots:
    rubygem(webrobots)
    rubygem-webrobots

rubygem-webrobots-doc:
    rubygem-webrobots-doc



MD5-sum check
-------------
http://rubygems.org/gems/webrobots-0.0.13.gem :
  CHECKSUM(SHA256) this package     : eade843b13ee1927ebda438eb5e6e856552787c8c92d47e586fe93f908eedbf8
  CHECKSUM(SHA256) upstream package : eade843b13ee1927ebda438eb5e6e856552787c8c92d47e586fe93f908eedbf8


Generated by fedora-review 0.4.0 (660ce56) last change: 2013-01-29
Buildroot used: fedora-18-x86_64
Command line :/usr/bin/fedora-review -b 892315 -m fedora-18-x86_64

Comment 2 Darryl L. Pierce 2013-02-27 16:53:31 UTC
Ugh, sorry, my comments got inserted into the wrong spot above:

Two things to fix in the specfile. Please fix those issues before pushing the first build.

PACKAGE APPROVED.

Comment 3 Mamoru TASAKA 2013-03-04 04:48:34 UTC
Okay, thank you for reviewing!

* I will update to the newest version.
* For isa specific dependency, as the -doc subpackage is noarch, the
  dependency for main must not be isa specific.

New Package SCM Request
=======================
Package Name: rubygem-webrobots
Short Description: Ruby library to help write robots.txt compliant web robots
Owners: mtasaka
Branches: f17 f18

Comment 4 Gwyn Ciesla 2013-03-04 13:37:24 UTC
Git done (by process-git-requests).

Comment 5 Mamoru TASAKA 2013-03-08 06:43:53 UTC
Successfully rebuilt on f19-ruby/rawhide/F18/F17, push requested for F18/F17, closing.

Thank you for review and git procedure.


Note You need to log in before you can comment on or make changes to this bug.